﻿#mesure en fonction du temps (on fixe la durée)

import serial # gestion du port série
import time # module de gestion du temps
import matplotlib . pyplot as plt # pour faire de beaux graphiques


# connexion  au port série
serial_port = serial . Serial ( port = "COM7" , baudrate =115200) #<------->indiquer la valeur du port COM utilisé par la carte
serial_port .setDTR( False )
time . sleep (0.1)
serial_port .setDTR(True)
serial_port . flushInput ()

# les mesures
temps = []
mesure = []
duree=5000                     #<------->durée d'acquisition  ici en ms
end=False

while end==False or temps[-1] - temps[0]<=duree:
    val = serial_port . readline (). split (b';')
    try :
        t = float ( val [0])
        mes = float ( val [1])
        temps.append( t )
        mesure.append(mes)
        end = True
    except :
        pass


# fermeture du port série
serial_port.close()
#les valeurs de début et de fin de transmission
plt . plot (temps , mesure)
plt.title ("Mesure de la tension du capteur de détection d'objets au cours du temps")
plt . xlabel ( "Temps (ms)" )
plt . ylabel ( "Tension (V)" )
plt . grid ()
plt .show()